<div id="introText">
    <p>Sada ćemo pogledati i izvedbu sinkronog bistabila.</p>
</div>


<h3><b>Primjer 1 - Izvedba sinkronog bistabila</b></h3>

<p>
    Na sljedećoj simulaciji nalazi se bistabil koji dodatno ima signal takta koji je spojen na dodatnu razinu logičkih
    sklopova NI (<b>engl.</b> NAND).
    Ovako povezan sustav predstavlja SR bistabil koji djeluje na visoku razinu signala takta. <br><br>
    U prvoj razini logike imamo ulaze \(CP \ i \ S\), te \(CP \ i \ R\), a u drugoj ulaze \(\overline{S} \ i \
    \overline{Q}\) te ulaze \(\overline{R} \ i \ Q\).
    Kako bi isprobali ponašanje ovog sinkronog bistabila simulirajte sljedeće scenarije: <br><br>

    Pretpostavimo da je trenutno stanje bistabila u logičkoj jedinici odnosno da je \(Q = 1\). Jednim klikom lijeve
    tipke miša na pločicu \(CP\)-a postavite ga u jedinicu. Nakon što ste postavili \(CP\) u <b>1</b>, postavite ulaz
    \(S\) u jedinicu i promatrajte što se događa s prvim sklopom. Na ulazu prvog sklopa imamo signal takta koji je
    <b>1</b> i upravo smo postavili ulaz \(S\) u jedinicu pa računamo: NI(1, 1) = 0. Ulaz \(\overline{S}\) postavili smo
    u nulu i ulaz \(\overline{Q} = 0\) pa u drugoj razini računamo NI(0, 0) = 1. Uočimo da se stanje sklopa nije
    promijenilo. <br><br>
    Postavimo sada i ulaz \(R\) u logičku jedinicu. U prvoj razini na drugome NI sklopu imamo na jednom ulazu CP te ulaz
    \(R\) koji smo upravo postavili na <b>1</b>. Pa računamo: NI(1, 1) = 0, što znači da smo na ulaz druge razine
    postavili \(\overline{R}\) u logičku jedinicu, na tom sklopu nalazi se još i \(Q\) koji je u logičkoj jedinici pa
    računamo: NI(1, 0) = 1, a to znači da izlaz drugog sklopa u drugoj razini odlazi u jedan odnosno \(\overline{Q} =
    1\). <br><br>
    Vidimo da ulaz \(R\) zaista resetira ovaj sklop. Takvo ponašanje očekivano je za SR bistabil kojeg smo već imali na
    prethodnim stranicama. <br><br>

    Pogledajmo sada i što se događa kada \(CP\) nije aktivan. Ako je \(CP\) u jedinici, postavite ga jednim klikom
    lijeve tipke miša ponovo na nulu.
    Isprobajte sada postaviti ili resetirati ovaj bistabil, to zaista neće biti moguće. <br> <br>
    Primjerice, postavimo li \(S\) u jedan i \(CP\) nije aktivan, za prvu razinu računamo: NI(1, 0) = 1, a to znači da
    se ulaz u drugoj razini nije promijenio pa bistabil ni ne reagira na ovu pobudu. Slično možete isprobati i za ulaz
    \(R\).
</p>
<div align="center" id="NANDSR">
    <canvas id="NANDC6" width="800px" height="350px"></canvas>
</div>
<hr>
<br>
<p style="color:darkred">
    Čestitam! Uspješno ste prošli kroz sve zadatke i simulacije. U sljedećoj lekciji bavit ćemo se vrstama bistabila.

</p>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(example4c6.js)*/
</script>
